Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tomcat.util.net
Enum SendfileState

    java.lang.Object
      java.lang.Enum<SendfileState>
          org.apache.tomcat.util.net.SendfileState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SendfileState>

    public enum SendfileState

extends java.lang.Enum<SendfileState>

Enum Constant Summary
`DONE` The file has been fully sent.
`ERROR` Something went wrong.
`PENDING` The sending of the file has started but has not completed.

Method Summary
`static SendfileState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SendfileState[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PENDING

    public static final SendfileState PENDING

  The sending of the file has started but has not completed. Sendfile is still using the socket.

### DONE

    public static final SendfileState DONE

  The file has been fully sent. Sendfile is no longer using the socket.

### ERROR

    public static final SendfileState ERROR

  Something went wrong. The file may or may not have been sent. The socket is in an unknown state.

Method Detail

### values

    public static final SendfileState[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SendfileState c : SendfileState.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SendfileState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.